MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025144Open CASCADE[OCCT] OCCT:Codingpublic2014-08-13 09:322017-02-08 11:40
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025144: Coding rules - consider rules for formatting pointers and constants placement in expressions
DescriptionThe preferred style for writing pointers declaration is not yet specified in coding rules.
Standard_Integer  *theVariable; // bad
Standard_Integer * theVariable; // bad
Standard_Integer*  theVariable; // OK
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030698)
git (administrator)
2014-08-13 09:33

Branch CR25144 has been created by kgv.

SHA-1: c8c749f9a0bad7a530203fbb22687c13f4c676a3


This branch includes the following new commits:

       new c8c749f 0025144: Coding rules - consider rules for formatting pointers and constants placement in expressions


Detailed log of new commits:

commit c8c749f9a0bad7a530203fbb22687c13f4c676a3
Author: kgv
Date: Wed Aug 13 09:33:19 2014 +0400

    0025144: Coding rules - consider rules for formatting pointers and constants placement in expressions
(0030699)
kgv (developer)
2014-08-13 09:35

Please review the patch in branch CR25144.
(0030702)
git (administrator)
2014-08-13 10:20

Branch CR25144 has been updated forcibly by kgv.

SHA-1: 703367d3db54c048f0a74bc7aebd7176baa6bc87
(0060397)
git (administrator)
2016-11-16 06:13

Branch CR25144_1 has been created by abv.

SHA-1: bcf8d02b1c2812238fa55b556afc685e4c8d2f4d


Detailed log of new commits:

Author: kgv
Date: Wed Aug 13 10:19:55 2014 +0400

    0025144: Coding rules - consider rules for formatting pointer declarations
(0060398)
git (administrator)
2016-11-16 07:21

Branch CR25144_1 has been updated forcibly by abv.

SHA-1: 7fdf3be8e1c5c65a9e48bf4cbf4949544f9e674f
(0060399)
abv (manager)
2016-11-16 07:22

Reviewed with minor amendments, please integrate (no testing is needed)
(0061230)
git (administrator)
2016-12-07 11:30

Branch CR25144_1 has been deleted by kgv.

SHA-1: 7fdf3be8e1c5c65a9e48bf4cbf4949544f9e674f
(0063636)
git (administrator)
2017-02-08 11:40

Branch CR25144 has been deleted by kgv.

SHA-1: 703367d3db54c048f0a74bc7aebd7176baa6bc87

- Related Changesets
occt: master 564c82b4
Timestamp: 2014-08-13 06:19:55
Author: kgv
Committer: apn
Details ] Diff ]
0025144: Coding rules - consider rules for formatting pointers and constants placement in expressions
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-13 09:32 kgv New Issue
2014-08-13 09:32 kgv Assigned To => kgv
2014-08-13 09:33 git Note Added: 0030698
2014-08-13 09:35 kgv Note Added: 0030699
2014-08-13 09:35 kgv Assigned To kgv => abv
2014-08-13 09:35 kgv Status new => resolved
2014-08-13 10:20 git Note Added: 0030702
2014-11-06 06:46 abv Target Version 6.8.0 => 7.1.0
2016-11-16 06:13 git Note Added: 0060397
2016-11-16 07:21 git Note Added: 0060398
2016-11-16 07:22 abv Note Added: 0060399
2016-11-16 07:22 abv Assigned To abv => bugmaster
2016-11-16 07:22 abv Status resolved => reviewed
2016-11-16 19:40 apv Test case number => Not needed
2016-11-16 19:40 apv Status reviewed => tested
2016-11-18 16:37 apn Changeset attached => occt master 564c82b4
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:30 git Note Added: 0061230
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0
2017-02-08 11:40 git Note Added: 0063636


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker